.overlay {
  background-color: rgba(0, 0, 0, .5);
  display: none;
  min-height: 100vh;
  padding-bottom: 60px;
  padding-top: 60px;
  position: fixed;
  top: 0;
  transition: opacity .5s;
  width: 100vw;
  z-index: 100;
}

.overlay__wrapper {

}

.overlay__inner {
  background: white;
  margin: 0 auto;
  max-width: 1200px;
  padding: 0 0 20px;
}

.overlay.visible {
  display: block;
}

.overlay__header {
  position: relative;
}

.overlay__headline {
  margin-right: 90px;
}

.overlay__close {
  height: 40px;
  position: absolute;
  right: 30px;
  top: 40px;
  width: 40px;

  a {
    display: block;
    height: 100%;
    width: 100%;
  }
}

body.has-overlay {

  > .container-outer {
    position: fixed;
    width: 100%;
  }

  .overlay.visible {
    display: block;
    opacity: 1;
  }
}
